Subject: Re: Last Call: draft-farrel-rtg-common-bnf (Reduced Backus-Naur Form (RBNF) A Syntax Used in Various Protocol Specifications) to Proposed Standard

From: "Tom.Petch" <[email-masked]>
Date: Wed, 21 Jan 2009 22:10:33 +0100

'several protocols' - and this is reflected in the Abstract and Introduction.
Reading between the lines, this seems to have had its genesis in the 'Sub-IP
Area' specification; nothing wrong with that, but the coyness seems misplaced.

More generally, I think that this I-D cries out for an Applicability Statement.
It makes brief reference to RFC5234 but contains no guidance that I can see as
to when this standard should be used or when RFC5234 should be.  The IETF has a
history of producing multiple standards and letting the market decide but I
think that we do a better job when we give guidance.

B) Coyness again, in its definitions
'The basic building blocks of BNF are rules and operators'
but what is a rule?  RFC5234 eg says

"A rule is defined by the following sequence:
         name =  elements crlf"

and I think that something similar is needed here (or else make RFC5234 a
normative reference:-)

C) In a similar vein, to me, and perhaps to many in the IETF, it is RFC5234 or
its precursors that represent the 'standard' meta-syntactic language.  Some
comparison of the functionality would be helpful, as an informative Appendix.
Is this a proper subset, if not, then where?

D) As s.2.4 says.

'Precedence is the main opportunity for confusion in the use of BNF.'

I think this should go further.  The underlying reason IMO is because the
concatenation mechanism, the one with no operator, takes precedence over the
alternative operator, and this is counter-intuitive.  RFC5234 spells this out
' Use of the alternative operator, freely mixed with concatenations,
   can be confusing.'
and, IPR permitting (I note that this was submitted pre-5378 but any revision
would not be:-), I suggest incorporating such text.

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Sent: Tuesday, January 06, 2009 7:56 PM
Subject: Last Call: draft-farrel-rtg-common-bnf (Reduced Backus-Naur Form (RBNF)
A Syntax Used in Various Protocol Specifications) to Proposed Standard

> The IESG has received a request from an individual submitter to consider
> the following document:
>
> - 'Reduced Backus-Naur Form (RBNF) A Syntax Used in Various Protocol
>    Specifications '
>    <draft-farrel-rtg-common-bnf-07.txt> as a Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to the
> [email-masked] mailing lists by 2009-02-03. Exceptionally,
> comments may be sent to [email-masked] instead. In either case, please
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-farrel-rtg-common-bnf-07.txt
>
>
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=17681&rf
c_flag=0
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf